# Orchard Core Branding

Here you can find some guidelines and graphic assets for Orchard Core's branding.

# Branding Guidelines

When referring to Orchard Core please use one of the logo variations, without altering anything apart from the resolution (so don't change the colors, aspect ratio, graphics, or anything else). Further information on how to use these assets and colors see the [Branding Guidelines (PDF)](assets/orchard-core-branding-guidelines.pdf) (and [here's the AI version](assets/orchard-core-branding-guidelines.ai)).

# Logo Variations

## Color Logo

![Color Orchard Core logo](assets/logo/color/orchard-core-logo-color.png)

Other formats:

- [AI](assets/logo/color/orchard-core-logo-color.ai)
- [PDF](assets/logo/color/orchard-core-logo-color.pdf)
- [PNG, high-resolution](assets/logo/color/orchard-core-logo-color-high-resolution.png)
- [SVG](assets/logo/color/orchard-core-logo-color.svg)

## Dark Logo

![Dark Orchard Core logo](assets/logo/dark/orchard-core-logo-dark.png)

Other formats:

- [AI](assets/logo/dark/orchard-core-logo-dark.ai)
- [PDF](assets/logo/dark/orchard-core-logo-dark.pdf)
- [PNG, high-resolution](assets/logo/dark/orchard-core-logo-dark-high-resolution.png)
- [SVG](assets/logo/dark/orchard-core-logo-dark.svg)

## Light Logo

The background of this logo in the below display is set to black so it's actually visible but otherwise it has a transparent background.

<img src="assets/logo/light/orchard-core-logo-light.png" alt="Light Orchard Core logo" style="background-color: #000;">

Other formats:

- [AI](assets/logo/light/orchard-core-logo-light.ai)
- [PDF](assets/logo/light/orchard-core-logo-light.pdf)
- [PNG, high-resolution](assets/logo/light/orchard-core-logo-light-high-resolution.png)
- [SVG](assets/logo/light/orchard-core-logo-light.svg)

## Color Symbol Logo

![Color Orchard Core symbol logo](assets/logo/symbol/color/orchard-core-symbol-logo-color.png)

Other formats:

- [AI](assets/logo/symbol/color/orchard-core-symbol-logo-color.ai)
- [PDF](assets/logo/symbol/color/orchard-core-symbol-logo-color.pdf)
- [SVG](assets/logo/symbol/color/orchard-core-symbol-logo-color.svg)

## Dark Symbol Logo

![Dark Orchard Core symbol logo](assets/logo/symbol/dark/orchard-core-symbol-logo-dark.png)

Other formats:

- [AI](assets/logo/symbol/dark/orchard-core-symbol-logo-dark.ai)
- [PDF](assets/logo/symbol/dark/orchard-core-symbol-logo-dark.pdf)
- [SVG](assets/logo/symbol/dark/orchard-core-symbol-logo-dark.svg)

## Light Symbol Logo

The background of this logo in the below display is set to black so it's actually visible but otherwise it has a transparent background.

<img src="assets/logo/symbol/light/orchard-core-symbol-logo-light.png" alt="Light Orchard Core symbol logo" style="background-color: #000;">

Other formats:

- [AI](assets/logo/symbol/light/orchard-core-symbol-logo-light.ai)
- [PDF](assets/logo/symbol/light/orchard-core-symbol-logo-light.pdf)
- [SVG](assets/logo/symbol/light/orchard-core-symbol-logo-light.svg)

# Fonts

We use the [Open Sans font family](https://fonts.google.com/specimen/Open+Sans). You can find all the font files in [the `assets/fonts` folder](https://github.com/OrchardCMS/OrchardCore/tree/dev/src/docs/resources/branding/assets/fonts) of this documentation page. Be sure to adhere to [the font's license](assets/fonts/LICENSE.txt).
